petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogObjects

Determines whether objects are logged for the graphical viewer.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogObjects(PetscBool flag)

Not Collective Many br

### Input Parameter

flag -PETSC_TRUE if objects are to be logged Many br

Many br

Note: Logging of objects continues to consume more memory as the program Many brruns. Long running programs should consider turning this feature off. Many br

### Options Database Keys

-log_exclude_objects -Turns off objects logging Many br

### Keywords

log, stage, register

### See Also

PetscLogStagePush(), PetscLogStagePop()

Level:intermediate
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages